Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenChildNode

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenChildContainer, GenCommonBase, GenContainerBase, GenLinkEnd, GenNode, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenChildLabelNode, GenChildSideAffixedNode

All Known Implementing Classes:
  GenChildLabelNodeImpl, GenChildNodeImpl, GenChildSideAffixedNodeImpl

    public interface GenChildNode

extends GenNode

A representation of the model object 'Gen Child Node'.

The following features are supported:

- `Diagram`
- `Containers`

See Also:
  `GMFGenPackage.getGenChildNode()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not modelFacet.oclIsUndefined() implies not modelFacet.containmentMetaFeature.oclIsUndefined()' description='Child node must specify \'Containment Meta Feature\''"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenChildContainer>` `getContainers()` Returns the value of the 'Containers' reference list.
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' container reference.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode

`getCompartments, getCreateCommandClassName, getCreateCommandQualifiedClassName, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, getPrimaryDragEditPolicyQualifiedClassName, getReorientedIncomingLinks, setCreateCommandClassName, setGraphicalNodeEditPolicyClassName, setModelFacet, setPrimaryDragEditPolicyQualifiedClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLinkEnd
`getGenIncomingLinks, getGenOutgoingLinks`

Method Detail

### getDiagram

    GenDiagram getDiagram()

  Returns the value of the 'Diagram' container reference. It is bidirectional and its opposite is '`Child Nodes`'.

  If the meaning of the 'Diagram' container reference isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenChildNode_Diagram()`, `GenDiagram.getChildNodes()`
  ** Generated **
  Model:
    opposite="childNodes" resolveProxies="false" required="true" transient="false" changeable="false"

### getContainers

    org.eclipse.emf.common.util.EList<GenChildContainer> getContainers()

  Returns the value of the 'Containers' reference list. The list contents are of type `GenChildContainer`. It is bidirectional and its opposite is '`Child Nodes`'.

  If the meaning of the 'Containers' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Containers' reference list.
  See Also:
    `GMFGenPackage.getGenChildNode_Containers()`, `GenChildContainer.getChildNodes()`
  ** Generated **
  Model:
    opposite="childNodes" changeable="false" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='let cmps:OrderedSet(GenChildContainer)=containers->select(oclIsKindOf(GenCompartment)) in cmps->exists(oclAsType(GenCompartment).listLayout) implies not cmps->exists(not oclAsType(GenCompartment).listLayout)' description='Node is referenced from multiple containers with different \'List Layout\' value'"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.